import { Socket, Server } from "socket.io";
import ZoneRepository from "../repositories/zone.repository";
import ZoneManager from "../ZoneManager";

interface IZoneLoad {
    zoneId?: number;
}

/**
 * @TODO: Implement zone loading, check if zone id is given or else load current character zone
 *
 * Handle character zone load event
 * @param socket
 * @param io
 */
export default function characterZoneLoad(socket: Socket, io: Server) {
    socket.on('character:zone:load', async (data: IZoneLoad) => {
        console.log(`---User ${socket.id} has requested zone.`);

        const zone = await ZoneRepository.getById(1);

        // zoneManager.addCharacterToZone(1, socket.user.id)

        io.to(socket.id).emit('character:zone:load', {
            success: true,
            data: zone
        });
    });
}