import { Socket, Server } from "socket.io";
import ZoneRepository from "../repositories/zone.repository";
import ZoneManager from "../ZoneManager";

interface IZoneLoadPlayers {
    zoneId: number;
}

/**
 * @TODO: Implement zone loading, check if zone id is given or else load current character zone
 *
 * Handle character zone load event
 * @param socket
 * @param io
 */
export default function characterZoneLoad(socket: Socket, io: Server) {
    socket.on('character:zone:load:players', async (data: IZoneLoadPlayers) => {
        console.log(`---User ${socket.id} has requested zone players for zone.` + data.zoneId);

        io.to(socket.id).emit('character:zone:load:players', {
            success: true,
            data: ZoneManager.getCharactersInZone(data.zoneId)
        });
    });
}